Bug 868168 - Error running katello-configure due to non running httpd daemon
Error running katello-configure due to non running httpd daemon
Status: CLOSED CURRENTRELEASE
Product: Katello
Classification: Community
Component: Installer (Show other bugs)
1.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 04:11 EDT by richard
Modified: 2012-12-18 05:32 EST (History)
5 users (show)

See Also:
Fixed In Version: katello-configure-0.2.34-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 868185 (view as bug list)
Environment:
Last Closed: 2012-12-18 05:32:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
katello-debug output (43.45 KB, application/x-gzip)
2012-10-19 04:12 EDT, richard
no flags Details

  None (edit)
Description richard 2012-10-19 04:11:47 EDT
Description of problem:

err: /Stage[main]/Apache2/Exec[reload-apache2]: Failed to call refresh: /etc/init.d/httpd reload returned 7 instead of one of [0] at /usr/share/katello/install/puppet/modules/apache2/manifests/init.pp:14


Version-Release number of selected component (if applicable):
1.1

How reproducible:
Every time

Steps to Reproduce:
1. clean install of rhel 6.3
2. yum -y install katello-all
3. run katello-configure
  
Actual results:
err: /Stage[main]/Apache2/Exec[reload-apache2]: Failed to call refresh: /etc/init.d/httpd reload returned 7 instead of one of [0] at /usr/share/katello/install/puppet/modules/apache2/manifests/init.pp:14


Expected results:
Clean Install

Additional info:

Workaround is to start httpd prior to execution of katello-configure so that httpd can be cleanly reloaded.
Comment 1 richard 2012-10-19 04:12:13 EDT
Created attachment 629847 [details]
katello-debug output
Comment 2 Lukas Zapletal 2012-11-05 07:36:52 EST
Richard, can you confirm me please you are installing nightly and not 1.1?

We currently have issue with nightly and I see the very same message we see:

could not find foreman-admin-user

Folks are already working on this.
Comment 3 Miroslav Suchý 2012-12-18 05:32:57 EST
Fixed in master by 3362d9b502a11335f34dc96a9c48cd4e4ce4a4a4

Note You need to log in before you can comment on or make changes to this bug.